/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.collections.adapters;

import java.util.Iterator;

/**
 * Provides Iterable interface over simple array
 * @author borisman
 */
public class ArrayIterable<E> implements Iterable<E> {
	
	private final E [] backend;
	
	public ArrayIterable(final E [] backend) {
		this.backend = backend;
	}

	@Override public Iterator<E> iterator() {
		return new ArrayIterator<E>(backend);
	}
	

}
