/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.collections.graph;

import junit.framework.Assert;

import org.builtu.collections.graph.Node;
import org.builtu.collections.graph.NodeImpl;
import org.junit.Test;


public class TestNodeImplOne {
	
	@Test public void testEmpty() {
		final Node<Long> n = new NodeImpl<Long>("aaa");
		Assert.assertEquals("aaa", n.getNodeId());
	}

	@Test public void testCreationHints() {
		new NodeImpl<Long>("", 10, 10);
	}

	@Test public void testCantCreateNullNodeId() {
		try {
			new NodeImpl<Long>(null);
			Assert.fail();
		} catch (final NullPointerException e) {}
	}
	
	@Test public void testCantCreateBadNodeId() {
		try {
			new NodeImpl<Long>("1/2");
			Assert.fail();
		} catch (final IllegalArgumentException e) {}
	}
	
	@Test public void testData() {
		final NodeImpl<Long> n = new NodeImpl<Long>("aaa");
		n.setValue(1L);
		Assert.assertEquals(1L, (long) n.getValue());
	}
}
