/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.util.clown;

import java.io.Serializable;

import org.builtu.assertlevel.AL;


public class Xerox {

	public static final FastClown fastClown = new FastClown();
	static {
		assert AL.paranoid() || turnOnFastClonerOutput();
	}

	private static boolean turnOnFastClonerOutput() {
		fastClown.cloner.setDumpClonedClasses(true);
		return true;
	}

	
	public static final JDKClown jdkClown = new JDKClown();
	
	public static<E extends Serializable> E deepCloneJDK(final E o) {
		return jdkClown.deepClone(o);
	}

	public static<E> E deepCloneFast(final E o) {
		return fastClown.deepClone(o);
	}
	
}
